<!DOCTYPE html>
<html lang="tr">
<head>
	<meta charset="UTF-8">
	<title>DİJ-EĞİTİM </title>

	<link rel="stylesheet" href="css/style.css">

	<script src="https://kit.fontawesome.com/52d8d9fe06.js" crossorigin="anonymous"></script>

</head>
<body>
<section id="menu">
	   <div 
	   id="logo">Eğitim Ekle</div>
	    <nav>
		   <a href="Adminegitim.php"><i class="fa-solid fa-pen-to-square"></i>Eğitimleri Düzenle</a>
		   <a href="Adminiletisim.php"><i class="fa-solid fa-envelope ikon"></i>Gelen Mesajlar</a>
           <a href="Admingiris.php"><i class="fa-solid fa-arrow-right-from-bracket ikon"></i>Çıkış</a>

       </nav>
  </section>
  <form id="egitim-ekle-form" action="Admin.php" method="POST" enctype="multipart/form-data">
  <h2 class="form-baslik">Eğitim Ekle</h2>
  <input type="text" name="baslik" placeholder="Başlık">
  <textarea name="aciklama" placeholder="Açıklama"></textarea>
  <label for="kapak-fotografi" class="file-label">Kapak fotoğrafı yükleyiniz</label>
  <input type="file" name="resim" id="kapak-fotografi" class="file-input">
  <input type="text" name="video_url" placeholder="YouTube Video URL">
  <input type="date" name="tarih">
  <input type="submit" value="Eğitim Ekle">
</form>

<?php
  session_start();
  if($_SESSION["user"]=="")
  {
    echo"<script>window.location.href='cikis.php'</script>";
  }

  else{
    include("baglanti.php"); // Merkezi bağlantı dosyasını dahil et

    // Form gönderildiyse
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
         $baslik = $_POST['baslik'];
        $aciklama = $_POST['aciklama'];
        $video_url = $_POST['video_url'];
        $tarih = $_POST['tarih'];

        // Resim yükleme
        $target_dir = "uploads/";
        $resim_ad = basename($_FILES["resim"]["name"]);
        $target_file = $target_dir . time() . "_" . $resim_ad;

        if (move_uploaded_file($_FILES["resim"]["tmp_name"], $target_file)) {
        // Veritabanına kayıt
            $sql = "INSERT INTO egitimler (baslik, aciklama, resim_url, video_url, tarih)
                VALUES ('$baslik', '$aciklama', '$target_file', '$video_url', '$tarih')";

             if (mysqli_query($baglan, $sql)) {
                 header("Location: Admin.php?durum=ok");
                exit;
        }   else {
                echo "Veritabanı hatası: " . mysqli_error($baglan);
        }
    } else {
        echo "Resim yüklenemedi.";
    }
}
  }
mysqli_close($baglan);
?>

</body>

</html>
